/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.workflow.definition.link.web.internal.search;

import com.liferay.portal.kernel.dao.search.DisplayTerms;
import com.liferay.portal.kernel.util.ParamUtil;

import javax.portlet.PortletRequest;

/**
 * @author Leonardo Barros
 */
public class WorkflowDefinitionLinkDisplayTerms extends DisplayTerms {

	public static final String RESOURCE = "resource";

	public static final String WORKFLOW = "workflow";

	public WorkflowDefinitionLinkDisplayTerms(PortletRequest portletRequest) {
		super(portletRequest);

		resource = ParamUtil.getString(portletRequest, RESOURCE);
		workflow = ParamUtil.getString(portletRequest, WORKFLOW);
	}

	public String getResource() {
		return resource;
	}

	public String getWorkflow() {
		return workflow;
	}

	protected String resource;
	protected String workflow;

}