/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.workflow.definition.link.web.internal.util.filter;

import com.liferay.portal.kernel.util.PredicateFilter;
import com.liferay.portal.kernel.util.StringPool;
import com.liferay.portal.kernel.util.StringUtil;
import com.liferay.portal.kernel.util.Validator;
import com.liferay.portal.workflow.definition.link.web.internal.search.WorkflowDefinitionLinkSearchEntry;

/**
 * @author Marcellus Tavares
 */
public class WorkflowDefinitionLinkSearchEntryLabelPredicateFilter
	implements PredicateFilter<WorkflowDefinitionLinkSearchEntry> {

	public WorkflowDefinitionLinkSearchEntryLabelPredicateFilter(
		String keywords) {

		_keywords = keywords;
	}

	@Override
	public boolean filter(
		WorkflowDefinitionLinkSearchEntry workflowDefinitionLinkSearchEntry) {

		if (Validator.isNull(_keywords)) {
			return true;
		}

		return StringUtil.containsIgnoreCase(
			workflowDefinitionLinkSearchEntry.getWorkflowDefinitionLabel(),
			_keywords, StringPool.SPACE);
	}

	private final String _keywords;

}